# Rating Room

## About

This project is a collaborative effort to catalogue and rate everything in existence.  
Written in `Svelte` with `TailwindCSS`, `Typescript`, and `Sanity`. Testing is implemented in `Jest` and `Playwright`.

## Usage

```js
npm run dev
```
Runs client in `vite`.

```bash
yarn test:unit
yarn test
```
Testing: Unit tests run in `Jest`, integration tests run in `Playwright`.

## Functionality

Click through products to view details, with descriptions and ratings. Live filtering, sorting, and searching is implemented in the side bar.  

![home](static/home.gif) 
